function tc = sim_getASTimeCourse(sig,TR,onset,nscan,par)

tc = zeros(nscan,1); 

varon = par(4)*randn(size(onset));
on = onset + varon/TR;
pm = ones(size(onset)) + par(6)*randn(size(onset));


for ii = 1:length(onset)
    
    if ii == 1
        t = inf;
    else
        t = TR*(on(ii) - on(ii-1));
    end

    p6 = par(1)*exp(-par(2)*t) + par(3) + on(ii)*TR;
    m =  -exp(-par(5)*t) + pm(ii);

    from = ceil(p6/TR);
    time = from-p6/TR:1:from-p6/TR+32/TR;

    time = time(find(time>=0&time<=length(sig)-1));
    
    for jj = 1:length(time)
        if time(jj)==0
            s(jj) = sig(1);
        elseif time(jj)==length(sig)-1
            s(jj) = sig(end);
        else
            r = time(jj)-floor(time(jj));
            s(jj) = r*sig(ceil(time(jj))+1) + (1-r)*sig(floor(time(jj))+1);
        end
    end
    
    ind = from+1:from+length(s);
    ind = ind(find(ind>0&ind<nscan+1));

    tc(ind) = tc(ind) + [m*s(ind-from)]';
end
