function [out] = sim_trend(coef,n,change);

% returns trend

temp = ndgrid(0:n-1,1:length(coef));
for i = 1:length(coef)
    temp(:,i) = coef(i)*temp(:,i).^i;
end
out = sum(temp,2);
out = out/(max(out)-min(out));
out = 1+change*(out - mean(out))/100;
    
