function [out] = sim_lfNoise(n,T,Tco)

Fvz = 1/T;

fgrid = 0:Fvz/n:Fvz-Fvz/n;

ind = find(fgrid<1/Tco);
ind = ind(2:end);

rand('state',sum(100*clock)); spM = randn(1,length(ind));
rand('state',sum(200*clock)); spE = randn(1,length(ind));

sp = zeros(1,n);
sp(ind) = spM.*(cos(spE)+i*sin(spE));
sp(end-length(ind)+1:end) = rot90(rot90(spM.*(cos(-spE)+i*sin(-spE))));

out = real(ifft(sp));
if (max(out)-min(out)) ~= 0
    out = out/(max(out)-min(out));
else
    out = zeros(1,n);
end

 



